Subject: [BISECTED] v4.3-rc5: OMAP1 boot hang

From: [email-masked] (Jon Hunter)
Date: Fri, 13 Nov 2015 09:21:08 +0000

On 13/11/15 00:57, Russell King - ARM Linux wrote:
> On Wed, Nov 11, 2015 at 11:44:44PM +0200, Aaro Koskinen wrote:
>> Hi,
>>
>> Any suggestions how to debug this further? This happens also with v4.3
>> final. Is the CPU_SW_DOMAIN_PAN supposed to work with this CPU?
>>
>> I tried to disable various drivers (e.g. NAND, USB) and it still
>> hangs... And it seems always at the same printk time stamp (roughly at
>> 25 seconds).
> 
> No idea what so ever, and I have zero knowledge of this ARM925 thing -
> never had one, and never seen any specs on it.  The weird thing is
> that it's not producing any oops dump - I guess the kernel is totally
> dead and unresponsive.  I'd ask if you have a heartbeat LED, but I'd
> guess the answer will be that the hardware is too limited.

Both the 1510 and 5910 had the ARM925T CPU. Probably the best source of
info is the 5910 documentation [0], specifically the MPU subsystem
document [1]. Hope this helps.

Jon

[0] http://www.ti.com/product/OMAP5910/technicaldocuments
[1] http://www.ti.com/lit/pdf/spru671